Query Registered Webhooks

Retrieve list of webhooks registered for the account

get

Returns a list of all the webhooks registered for your account.

Authorizations
AuthorizationstringRequired

The Enzoic API uses a basic auth scheme where the username is your API key and the password is your API secret.
See https://docs.enzoic.com/enzoic-api-developer-documentation/using-the-enzoic-api#api-authentication for more details.

Responses
chevron-right
200

The response body contains the requested results.

application/json
webhookIDstringOptional

The ID of the webhook.

Example: 5a3ae05132ffb96e664d4626
urlstringOptional

The URL of the webhook.

Example: https://mywebhook.com
keystringOptional

The key for the webhook. This is passed to the webhook as the username using basic authentication, so that you may verify Enzoic is the caller.

Example: 51000000000000000000000000000000
secretstringOptional

The secret for the webhook. This is passed to the webhook as the password using basic authentication, so that you may verify Enzoic is the caller.

Example: 51000000000000000000000000000000
defaultbooleanOptional

If true, this webhook is the default webhook for the account.

Example: false
get
/webhooks
200

The response body contains the requested results.

Last updated

Was this helpful?